Bug 278260 - style indention differs from original
Summary: style indention differs from original
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: opendocument (show other bugs)
Version: Git
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 11:12 UTC by Bernd Buschinski
Modified: 2011-10-14 18:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
example document which shows indention problem (9.40 KB, application/vnd.oasis.opendocument.text)
2011-07-22 11:12 UTC, Bernd Buschinski
Details
left libreoffice, right calligrawords (12.12 KB, image/png)
2011-07-22 11:13 UTC, Bernd Buschinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2011-07-22 11:12:46 UTC
Created attachment 62072 [details]
example document which shows indention problem

Version:           svn (using KDE 4.6.4) 
OS:                Linux

After importing an odt the topics have a different indention as they has in libreoffice

Reproducible: Always

Steps to Reproduce:
import reftext.odt

Actual Results:  
Topics have indention

Expected Results:  
Topics should have no indention at all

calligrawords 2.3.73
Comment 1 Bernd Buschinski 2011-07-22 11:13:29 UTC
Created attachment 62073 [details]
left libreoffice, right calligrawords

it should look like in libreoffice
Comment 2 Camilla Boemann 2011-10-10 21:37:46 UTC
We look closer now and even have the topic in the header

still not the same
Comment 3 Camilla Boemann 2011-10-14 18:47:10 UTC
Git commit aec1adf16c8c992ff8bfaadfeb18295648e7602a by C. Boemann.
Committed on 13/10/2011 at 21:14.
Pushed by boemann into branch 'master'.

General restructure of the block layout code in order to make list tabstops become part of the
normal tabs as mandated by odf spec.

This also introduces a check if the label is there at all. if no label then no tabstop either (I guess
the resoning is that it has nothing to follow). This helps on non numerated headings
BUG:278260

M  +0    -1    libs/kotext/styles/KoListLevelProperties.cpp
M  +132  -146  libs/textlayout/KoTextLayoutArea.cpp
M  +0    -1    libs/textlayout/KoTextLayoutArea.h

http://commits.kde.org/calligra/aec1adf16c8c992ff8bfaadfeb18295648e7602a